Solid Edge Part Type Library
AddLoftedFlange Method
Specifies the number of Section objects used in the construction of the lofted flange feature.
Contains Edge and/or Profile objects. The size of the array is equal to the value of NumSections.
Contains members of the FeaturePropertyConstants set (igProfileBasedCrossSection and igEdgeBasedCrossSection) that specify whether each corresponding member of the CrossSections array is an Edge or Profile object. The size of the array is equal to the value of NumSections.
Contains the points that define the start points of the corresponding cross sections. Each point is represented as an array of two Doubles (for example, Dim dblOrigin(2) as Double; Dim Origins() as Variant). For members of this array that correspond to periodic cross sections (circles and ellipses), specify a value of 0 instead of an array that represents a point.
Array of values indicating the start or end of the profile.
A member of the FeaturePropertyConstants constant set that specifies the side of the profile on which the thickness of the LoftedFlange feature is to be added.
Bend Radius Value.(Usually 1mm or 0.001m)
Neutral Factor Value.
Bend Parameter type - Indicating the NF is value or from an equation
Description
Creates a LoftedFlange object.
Syntax
Visual Basic
Public Function AddLoftedFlange( _
   ByVal NumSections As Long, _
   ByVal CrossSections As Variant, _
   ByVal CrossSectionTypes As Variant, _
   ByVal Origins As Variant, _
   ByVal OriginRefs As Variant, _
   ByVal ThicknessSide As FeaturePropertyConstants, _
   ByVal varRadius As Variant, _
   ByVal varNeutralFactor As Variant, _
   ByVal varBnParamType As Variant _
) As Model
Parameters
NumSections
Specifies the number of Section objects used in the construction of the lofted flange feature.
CrossSections
Contains Edge and/or Profile objects. The size of the array is equal to the value of NumSections.
CrossSectionTypes
Contains members of the FeaturePropertyConstants set (igProfileBasedCrossSection and igEdgeBasedCrossSection) that specify whether each corresponding member of the CrossSections array is an Edge or Profile object. The size of the array is equal to the value of NumSections.
Origins
Contains the points that define the start points of the corresponding cross sections. Each point is represented as an array of two Doubles (for example, Dim dblOrigin(2) as Double; Dim Origins() as Variant). For members of this array that correspond to periodic cross sections (circles and ellipses), specify a value of 0 instead of an array that represents a point.
OriginRefs
Array of values indicating the start or end of the profile.
ThicknessSide
ValueDescription
igAddRound
igAll
igAlongAnAxis
igAngularDummy
igAsConstruction
igBend
igBendAndFaceCornerRelief
igBendOnlyCornerRelief
igBothFeature Properties - Both
igChainedCornerRelief
igChamfer2Setbacks
igChamfer45degSetback
igChamferAngleSetback
igCircular
igCloseCornerCircleCutout
igCloseCornerClosed
igCloseCornerNone
igCloseCornerOpen
igClosed
igCloseFaces
igConcave
igConstantRadiusArc
igConstRadiusRound
igContinuous
igConvex
igCopy
igCornerRound
igCounterboreHole
igCounterboreProfileIsAtBottom
igCounterboreProfileIsAtTop
igCounterdrillHole
igCountersinkHole
igCurvatureContinuous
igCurvatureContinuousInterior
igCurveSetSeperator
igDeleteFaceHeal
igDelSMFaceBoth
igDelSMFaceNone
igDelSystemRelief
igDelZeroBendRadius
igDevelopableSurface
igEdgeBasedCrossSection
igEdgesByLoop
igEdgesByVertex
igEnd
igEndCaps
igEqualOffset
igEquationType
igExtendFeature Properties - Extend
igExtendBendRelief
igFacesTouchingCurvesOnly
igFilletBendRelief
igFinite
igFlangeCenterOfEdge
igFlangeEndFromEndEdge
igFlangeEndOnEndEdge
igFlangeFromBothEndsOfEdge
igFlangeFromDefinedStartPoint
igFlangeFullEdge
igFlangeMatchFace
igFlangeOffset
igFlangeStartFromEndEdge
igFlangeStartOnEndEdge
igFlatten
igFormedEnd
igFromNonReferenceEnd
igFromReferenceEnd
igFromTo
igFull
igGroove
igHemTypeCenteredLoop
igHemTypeClosed
igHemTypeClosedLoop
igHemTypeCurl
igHemTypeOpen
igHemTypeOpenLoop
igHemTypeSFlange
igIgnoreBlends
igInsideFeature Properties - Remove/Add Material Inside
igInsideDimension
igIntersect
igLancedEnd
igLeftFeature Properties - Project to Left
igLinear
igLinearCurvatureContinuousExtension
igLinearTangentExtension
igLip
igLouverFormedEndType
igLouverLancedEndType
igLouverRound
igLouverRoundNone
igMitreByAngle
igMitreByDist
igMitreManufacturingCut
igMitreNormalToThickness
igMitreParallelToThickness
igMitreRegularCut
igMove
igMultipleEdges
igNatural
igNeutralFactorFromExcel
igNFType
igNoCornerRound
igNoExtendFeature Properties - Do Not Extend
igNone
igNonSymmetric
igNormal
igNormalSideDummyFeature Properties - Normal Side
igNoRound
igNullConstant
igOffset
igOutsideFeature Properties - Remove/Add Material Outside
igOutsideDimension
igOverlapFaces
igParallelDummy
igParallelToPlane
igPartingFromCurve
igPartingFromEdge
igPartingFromPlane
igPartingFromSurface
igPatternAlongCurve
igPatternByTable
igPatternCircular
igPatternFillRegion
igPatternMirror
igPatternMountingBoss
igPatternRectangular
igPatternUserDefined
igPeriodic
igProfileBasedCrossSection
igProjectOptionProject
igProjectOptionWrap
igPunchedEnd
igRadial
igRaisedCounterboreSlot
igRecessedCounterboreSlot
igRecreateBlends
igRectangularBendRelief
igReflective
igRegularHole
igRegularSlot
igRegularThread
igRemoveBoundaries
igRemoveExternalBoundaries
igRemoveInternalBoundaries
igReverseNormal
igReverseNormalSideDummyFeature Properties - Reverse Normal Side
igRightFeature Properties - Project to Right
igRipBendRelief
igRipCornerRelief
igRndCapAcrossSharpEdges
igRndMiterAtCorner
igRndPreserveTopologyOff
igRndPreserveTopologyOn
igRndRollAcrossSharpEdges
igRndRollAcrossTangentEdgesOff
igRndRollAcrossTangentEdgesOn
igRndRollAlongBlendEdgesOff
igRndRollAlongBlendEdgesOn
igRndRollAroundCorner
igRoundAllVertexSetback
igRoundEndVertexEdgeSetback
igRoundSetbackIsAbsolute
igRoundSetbackIsRelative
igRoundSingleVertexSetback
igRoundStartVertexEdgeSetback
igRoundVertexEdgeSetback
igShowBoundaries
igSideInfoSetSeperator
igSingleEdge
igSMClearanceCutout
igSMFaceCutout
igSMMidPlaneCutout
igSplit
igSplitAngle1Left
igSplitAngle1Right
igSplitDraft
igStart
igStepDraft
igStepDraftPerpendicular
igStraightPipeThread
igSubtract
igSweepAlignArcLength
igSweepAlignNormal
igSweepAlignParallel
igSweepAlignParametrically
igSweepC1Continuity
igSweepC2Continuity
igSweepMergeAll
igSweepMergeAlongPath
igSweepMergeNone
igSweepScaleNone
igSweepScaleStartAndEnd
igSweepTwistNone
igSweepTwistStartAndEnd
igSweepTwistTurns
igSweepTwistTurnsPerUnitLength
igSymmetricFeature Properties - Symmetric Extent
igTangent
igTangentInterior
igTaperByAngle
igTaperByRatio
igTaperByRLRatio
igTaperDimAtBottom
igTaperDimAtTop
igTaperedEnd
igTaperedHole
igTaperedPipeThread
igTaperedToPlane
igTappedHole
igThickness
igThkInProfilePlane
igThkNormalToProfilePlane
igThreeHundredAndSixty
igThroughAll
igThroughAxis
igToEndOfEdge
igToggleToConstructionToggle from Design to Construction
igToggleToDesignToggle from Construction to Design
igToKeyPoint
igToNext
igTreatmentCircleCutout
igTreatmentCrown
igTreatmentDraft
igTreatmentFormedFeatureDisplayAsCenterMark
igTreatmentFormedFeatureDisplayAsModeled
igTreatmentFormedFeatureDisplayAsSketch
igTreatmentFormedFeatureDisplayAsSketchAndCenterMark
igTreatmentIntersect
igTreatmentMiterRelief
igTreatmentOff
igTreatmentRectangularCutout
igTreatmentUCutout
igTreatmentVCutout
igUnequalOffset
igUnite
igUShaped
igVarRadiusRound
igVBottomDimToFlat
igVBottomDimToV
igVShaped
igWeldGrooveCapProject
igWeldGrooveCapSameAsTop
igWeldGrooveCapSurface
A member of the FeaturePropertyConstants constant set that specifies the side of the profile on which the thickness of the LoftedFlange feature is to be added.
varRadius
Bend Radius Value.(Usually 1mm or 0.001m)
varNeutralFactor
Neutral Factor Value.
varBnParamType
Bend Parameter type - Indicating the NF is value or from an equation
Remarks
Typically, this method is used to create a Lofted Flange that is to be the base feature for a model. Additional Lofted Flange added to the model are created through methods that belong to the model's LoftedFlanges collection object. This method fails if called more than one time because only one base feature (or Model) is valid in a Part file.
Example
Imports SolidEdgeConstants

Module Example
    Sub Main()
        Dim objApp As SolidEdgeFramework.Application = Nothing
        Dim objDoc As SolidEdgePart.SheetMetalDocument = Nothing
        Dim objRP1 As SolidEdgePart.RefPlane = Nothing
        Dim objProf1 As SolidEdgePart.Profile = Nothing
        Dim objProf2 As SolidEdgePart.Profile = Nothing
        Dim obj1Lines As SolidEdgeFrameworkSupport.Lines2d
        Dim obj2Lines As SolidEdgeFrameworkSupport.Lines2d
        Dim objCSArray(0 To 1) As SolidEdgePart.Profile
        Dim objModel As SolidEdgePart.Model

        Dim lngCSType(0 To 1) As Object
        Dim sectionOrigins(0 To 1) As Object
        Dim sectionOriginRefs(0 To 1) As Long
        Dim dblRad As Double
        ' Report errors
        Const PI = 3.14159265358979
        'dblRad is the Bend Radius in Meters
        dblRad = 0.001
        ' Create/get the application with specific settings
        'On Error Resume Next
        Try
            objApp = GetObject(, "SolidEdge.Application")
        Catch ex As Exception
            objApp = CreateObject("SolidEdge.Application")
        Finally
            objDoc = objApp.Documents.Add("SolidEdge.SheetMetalDocument")
            objDoc = objApp.ActiveDocument
            objApp.Visible = True
        End Try

        Try
            'Create Sketch 1 on "XY" Plane.
            objProf1 = objDoc.Sketches.Add.Profiles.Add(objDoc.RefPlanes.Item(1))
            obj1Lines = objProf1.Lines2d
            Call obj1Lines.AddBy2Points(0.1, 0.1, 0.2, 0.3)
            Call obj1Lines.AddBy2Points(0.2, 0.3, 0.4, 0.3)
            Call obj1Lines.AddBy2Points(0.4, 0.3, 0.5, 0.1)
            objProf1.Visible = True

            'Create Reference Plane Parallel to "XY" Plane at 1Meter distance.
            objRP1 = objDoc.RefPlanes.AddParallelByDistance(ParentPlane:=objDoc.RefPlanes.Item(1), _
                                                                Distance:=1, NormalSide:=FeaturePropertyConstants.igLeft)

            'Create Sketch 2 on "Reference" Plane(RP1).
            objProf2 = objDoc.Sketches.Add.Profiles.Add(pRefPlaneDisp:=objRP1)
            obj2Lines = objProf2.Lines2d
            Call obj2Lines.AddBy2Points(0.1, 0.1, 0.2, 0.3)
            Call obj2Lines.AddBy2Points(0.2, 0.3, 0.4, 0.3)
            Call obj2Lines.AddBy2Points(0.4, 0.3, 0.5, 0.1)

            'Arrary of Cross Sections
            objCSArray(0) = objProf1
            objCSArray(1) = objProf2

            'Type of Cross-Section wheather Profile based OR Edge based
            lngCSType(0) = SolidEdgePart.FeaturePropertyConstants.igProfileBasedCrossSection
            lngCSType(1) = SolidEdgePart.FeaturePropertyConstants.igProfileBasedCrossSection

            'Section-Origin are objects from each Cross-Sections.
            sectionOrigins(0) = objDoc.Sketches.Item(1).Profiles.Item(1).Lines2d.Item(1)
            sectionOrigins(1) = objDoc.Sketches.Item(2).Profiles.Item(1).Lines2d.Item(1)

            'Section Origin References are related points of above objects.
            sectionOriginRefs(0) = FeaturePropertyConstants.igStart
            sectionOriginRefs(1) = FeaturePropertyConstants.igStart

            'Lofted flange is created here.
            objModel = objDoc.Models.AddLoftedFlange(NumSections:=2, _
                                                        CrossSections:=objCSArray, CrossSectionTypes:=lngCSType, _
                                                        Origins:=sectionOrigins, OriginRefs:=sectionOriginRefs, _
                                                        ThicknessSide:=SolidEdgePart.FeaturePropertyConstants.igRight, _
                                                        varRadius:=dblRad, varNeutralFactor:=0.33, _
                                                        varBnParamType:=SolidEdgePart.FeaturePropertyConstants.igNFType)

        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
    End Sub
End Module
See Also

Models Collection  | Models Members